sysuse auto, clear
twoway kdensity price || histogram price, ///
 legend(order(1 "Kernel Density" 2 "Histogram")) color(red%30)
 
kdensity price, normal title("Distribution of Car Prices")

kdensity price, normal bwidth(300) title("Distribution of Car Prices")

kdensity price, normal bwidth(1500) title("Distribution of Car Prices")

twoway kdensity price if foreign==0 || kdensity price if foreign==1

kdensity price, generate(pricepoint density) nograph 
browse pricepoint density


use lbwsim2, clear
npregress kernel bweight mage medu i.msmoke 1.alcohol i.prenatal, nolog
npregress kernel bweight mage medu i.msmoke 1.alcohol i.prenatal, ///
 nolog vce(bootstrap, reps(40))
npregress kernel bweight mage, nolog 
npgraph


webuse dui, clear
npregress series citations fines i.csize i.college
margins, at(fines=(8 9 10 11))
margins csize, at(fines=(8 9 10 11))


sysuse auto, clear 
makespline bspline price


webuse splines, clear 
makespline bspline x2 x3, knots(8)
poregress y x1, controls(`r(regressors)')
